debug: vla-get-layer()
Hiruning this:
(vl-load-com)(defun C:TEST(/ ent lay) (if (setq ent (entsel "\nSelect Object")) (alert (strcase "Layer Name:" (vla-get-layer(vlax-ename->vla-object(car ent))) ) ) ) (princ) )
in acad after selecting an entity, the alert box left without the layer name
why?
Thanks
Shay STRCASE will change the case (upper/lower) of a string. eg. (strcase "hello") => "HELLO" or (strcase "hello" nil) => "HELLO" or (strcase "HELLO" T) => "hello"
STRCAT (what you want) will join multiple strings. eg. (strcat "800" "85") => "80085" Reconsider the STRCASE function. Because the function strcase must be strcat *echo* *echo* *echo* Three posts at the same moment .
... Better than having some incorrect replies thrown in, I 'spose.
Agreed. I just found it amusing. Nothing against anyone.
I think we (yourself, Tharwat, and I) are in agreement on that.
页:
[1]